<template lang="html">
  <div class="NotFoundComponentVue">
    <h1>您访问的页面不存在 :(</h1>
    <h3>{{ timeout }} 秒后返回上一个页面</h3>
  </div>
</template>

<script>
export default {
  data () {
    return {
      timeout: 3
    }
  },
  mounted () {
    let timer = setInterval(() => {
      this.timeout--
      if (this.timeout < 0) {
        window.history.back()
        clearInterval(timer)
      }
    }, 1000)
  }
}
</script>

<style lang="scss" scoped>
.NotFoundComponentVue{
  padding: 0 50px;
  max-width: 1600px;
  margin: auto;
}
</style>
